import Vue from 'vue';
import VueRouter from 'vue-router';
Vue.use(VueRouter);

const routes = [
  {
    path:'/',
    component: () => import('@/components/index.vue'),
  },
  {
    path: '/cmh',
    name: '猜盲盒',
    component: () => import('@/components/cmh/index.vue'),
  },
  {
    path: '/cmh/rule',
    component: () => import('@/components/cmh/rule.vue'),
    name: '游戏规则'
  },
  {
    path: '/cmh/my-reward',
    component: () => import('@/components/cmh/my-reward.vue'),
    name: '我的奖品'
  },
  {
    path: '/cmh/support',
    component: () => import('@/components/cmh/support.vue'),
    name: '助力拆盲盒'
  },
];

const router = new VueRouter({
  base: '/',
  routes,
});

export default router;
